Bug 1644344 - [3.10] Failure to restore cache produces corrupted files passed to incremental builds
Summary: [3.10] Failure to restore cache produces corrupted files passed to incrementa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.10.z
Assignee: Ben Parees
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1642350
Blocks: 1644343
TreeView+ depends on / blocked
 
Reported: 2018-10-30 15:13 UTC by Ben Parees
Modified: 2018-12-13 17:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Unnecessarily short timeout resulted in a failure to reuse artifacts from a previous build when incremental builds were selected with s2i. This could occur when the size of the artifacts being reused was particularly large or the host system was running particularly slowly. Consequence: Invalid artifacts could be used in a subsequent build, or artifacts would be recreated instead of reused resulting in performance degradation. Fix: Timeout has been increased to a sufficiently large value as to avoid this problem. Result: Artifact reuse should no longer timeout.
Clone Of: 1642350
Environment:
Last Closed: 2018-12-13 17:09:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3750 None None None 2018-12-13 17:09:16 UTC
Github https://github.com/openshift source-to-image issues 929 None None None 2018-10-30 15:13:43 UTC

Comment 1 Ben Parees 2018-10-30 19:04:07 UTC
https://github.com/openshift/ose/pull/1452

Comment 2 Ben Parees 2018-10-30 19:16:35 UTC
ignore the previous PR link, the fix for this is going into origin 3.10 here:
https://github.com/openshift/origin/pull/21388

Comment 6 XiuJuan Wang 2018-11-28 08:09:16 UTC
.Generate a 1GB tar ball
-rw-r--r--. 1 root root 1.1G Nov 28 03:01 incremental-app.tar

2.start a incremental build
$oc start-build ruby-sample-build --incremental --from-archive=`pwd`/incremental-app.tar 
Uploading archive file "/home/incremental-app.tar" as binary input for the build ...
build "ruby-sample-build-2" started

And build go to completed finally.

Verified this bug with below cluster
oc v3.10.79
kubernetes v1.10.0+b81c8f8
features: Basic-Auth GSSAPI Kerberos SPNEGO

Server https://ip-172-18-7-26.ec2.internal:8443
openshift v3.10.79
kubernetes v1.10.0+b81c8f8

Comment 8 errata-xmlrpc 2018-12-13 17:09:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3750


Note You need to log in before you can comment on or make changes to this bug.